function data()
return {
	info = {
		minorVersion = 1,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("OOtz 50/KKt 57"),
		description = _("info_ootz_50_desc"),
		tags = { "Europe", "Wagon", },
		
		params = {
			{
				key = "ootzfake",
				name = _("Fake"),
				values = { "No", "Yes", },
				tooltip = _("option_ootz_50_fake_desc"),
				defaultIndex = 0,
			},
		},
		
		dependencies = { "kaleut_drehgestelle_1", },
		
		requiredMods = {
				{ 
					modId= "kaleut_drehgestelle_1", -- optional, modid
					steamId = 1956333378, -- optional, steam workshop id 
					tfnetId = 5040, -- optional, id der Webdisk auf transportfever.net
					url = "https://modwerkstatt.com/downloads/gueterwagen-drehgestelle-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 0 -- optional, minimale minorVersion
				}, 				
			},
		
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",			
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",			
			},
		},
		visible = true
	},	
			
	runFn = function(settings, modParams)
		
		local hidden = {				
				["fake.mdl"] = true,
				["fake1.mdl"] = true,
				["fake2.mdl"] = true,
				["fake3.mdl"] = true,
				["fake4.mdl"] = true,
				["ak_fake1.mdl"] = true,
				["ak_fake2.mdl"] = true,
				["ak_fake3.mdl"] = true,
				["ak_fake4.mdl"] = true,	
				["ak_sml_fake1.mdl"] = true,
				["ak_sml_fake2.mdl"] = true,
				["ak_sml_fake3.mdl"] = true,
				["ak_sml_fake4.mdl"] = true,
			}
		
		local modelFilter = function(fileName, data)				
				local modelName = fileName:match('/fad_167_([^/]*.mdl)') 
								or fileName:match('/fal_167_([^/]*.mdl)') 
								or fileName:match('/kkt_57_([^/]*.mdl)')	
								or fileName:match('/ootz_50_2_([^/]*.mdl)')	
								or fileName:match('/ootz_50_([^/]*.mdl)') 									
				return (modelName==nil or hidden[modelName]~=true)				
			end  
		
		if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]					
			if params["ootzfake"] == 0 then
				addFileFilter("model/vehicle", modelFilter)		
			end
		else
			addFileFilter("model/vehicle", modelFilter)	
		end		
		
	end
}
end
